GET
Returns a list of airports and cities matching a given keyword.
https://amadeus.com/reference-data/locationsAccess Token Required: API Key
Query Params
subTypestringrequired
sub type of the location (AIRPORT and/or CITY)
keywordstringrequired
keyword that should represent the start of a word in a city or airport name or code. Supported charaters are: A-Za-z0-9./:-'()"
countryCodestring
Country code of the location using [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) code format (e.g. US).
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://amadeus.com/reference-data/locations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}